%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           repoman
Version:        0.9
Release:        3%{?dist}
Summary:        Tool for configuring yum settings and repositories

Group:          System Environment/Base
License:        GPL
URL:            http://www.boston.burdell.org/repoman/

Source0:        http://www.boston.burdell.org/repoman/src/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  intltool, gettext, python-devel, desktop-file-utils

Requires:       yum, rhpl, pygtk2, pygtk2-libglade, usermode


%description
repoman is a graphical application for configuring yum(8) settings,
enabling and disabling repositories, and configuring yum(8) plug-ins.


%prep
%setup -q


%build
%{__make} %{?_smp_mflags}


%install
rm -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
desktop-file-install --vendor="fedora" \
    --delete-original \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
%{__rm} -rf %{buildroot}


%post
update-desktop-database &> /dev/null ||:


%postun
update-desktop-database &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO ChangeLog
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*.py
%{python_sitelib}/%{name}/*.pyc
%{python_sitelib}/%{name}/*.pyo
%attr(0644,root,root) %config(noreplace) /etc/security/console.apps/%{name}
%attr(0644,root,root) %config(noreplace) /etc/pam.d/%{name}


%changelog
* Wed Jun 13 2007 Chris Lumens <clumens@redhat.com> - 0.9-3
- Don't use vendor macro in desktop-file-install.  Also, put the .desktop
  file in the same directory as all the others (#244044).

* Tue Jun 12 2007 Chris Lumens <clumens@redhat.com> - 0.9-2
- Rebuild.

* Fri May 04 2007 Chris Lumens <clumens@redhat.com> - 0.9-1
- Clean buildroot before installing (#237170).
- Fix desktop file not getting installed.

* Mon Apr 23 2007 David Cantrell <dcantrell@redhat.com> - 0.8-1
- Review fixes (#237170)

* Mon Feb 12 2007 David Cantrell <dcantrell@redhat.com> - 0.7-1
- Handle systems that do not have the standard Fedora repositories

* Sat Feb 10 2007 David Cantrell <dcantrell@redhat.com> - 0.6-1
- Don't traceback when user presses Ctrl+C to exit
- Only check for repofile read permissions in RepoFile.read()

* Mon Feb 05 2007 David Cantrell <dcantrell@redhat.com> - 0.5-1
- Make Source URL contain URL to tarball
- Remove debug_package macro
- Use python_sitelib macro
- BR python-devel

* Sun Feb 04 2007 David Cantrell <dcantrell@redhat.com> - 0.4-1
- Support adding, removing, and editing repositories
- Make the Tracking page toggle between stable and development
- consolehelper stuff

* Sat Jan 06 2007 David Cantrell <dcantrell@redhat.com> - 0.3-1
- Set build architecture to noarch
- Disable debuginfo package

* Sat Jan 06 2007 David Cantrell <dcantrell@redhat.com> - 0.2-1
- Make sure repoman.py is installed as /usr/bin/repoman

* Sat Jan 06 2007 David Cantrell <dcantrell@redhat.com> - 0.1-1
- Initial version
